package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.CmsCate;

/** 内容分类 Service */
public interface CmsCateService {
    /**
     * 查询内容分类列表
     *
     * @param cmsCate 查询条件
     * @return 内容分类列表
     */
    public List<CmsCate> selectCmsCateList(CmsCate cmsCate);

    /**
     * 通过分类ID查询内容分类
     *
     * @param cateId 分类ID
     * @return 内容分类
     */
    public CmsCate selectCmsCateById(String cateId);

    /**
     * 删除内容分类
     *
     * @param cateIds 分类ID数组
     * @return 删除行数
     */
    public int deleteCmsCateByIds(String[] cateIds);

    /**
     * 新增内容分类
     *
     * @param cmsCate 内容分类
     * @return 插入行数
     */
    public int insertCmsCate(CmsCate cmsCate);

    /**
     * 修改内容分类
     *
     * @param cmsCate 内容分类
     * @return 更新行数
     */
    public int updateCmsCate(CmsCate cmsCate);

    /**
     * 获取内容分类树
     *
     * @return 内容分类树列表
     */
    public List<CmsCate> getTree();

    /**
     * 查询子分类列表
     *
     * @param catePid 父分类ID
     * @return 子分类列表
     */
    public List<CmsCate> findSubList(String catePid);
}
